TAU_MAPPING_PROFILE_(3)

NAME
TAU_MAPPING_PROFILE_STOP - Stops a mapping timer

SYNOPSIS

C/C++:

TAU_MAPPING_PROFILE_STOP(Profiler timer, int tid);

DESCRIPTION

TAU_MAPPING_PROFILE_STOP stops the timer that is created using TAU_MAPPING_PROFILE_TIMER. This will measure the elapsed time in groups of statements, instead of the entire block. A corresponding stop statement stops the timer as described next. The thread identifier is specified in the tid parameter.

EXAMPLE

C/C++ :

template<class LHS,class Op,class RHS,class EvalTag>
void
ExpressionKernel<LHS,Op,RHS,EvalTag>::run() {
  TAU_MAPPING_PROFILE_TIMER(timer, TauMapFI);
  printf("ExpressionKernel::run() this = 4854\n", this);
  // Just evaluate the expression.

  TAU_MAPPING_PROFILE_START(timer);
  KernelEvaluator<EvalTag>().evaluate(lhs_m, op_m, rhs_m);
  TAU_MAPPING_PROFILE_STOP();
  // we could release the locks here instead of in the dtor.
}

SEE ALSO

TAU_MAPPING_PROFILE_TIMER(3), TAU_MAPPING_PROFILE_START(3)